Bug 159034

Summary: [jhbuild] Added libxslt module.
Product: WebKit Reporter: Konstantin Tokarev <annulen>
Component: Tools / TestsAssignee: Nobody <webkit-unassigned>
Status: RESOLVED FIXED    
Severity: Normal CC: commit-queue, gyuyoung.kim, lforschler, mcatanzaro, ossy
Priority: P2    
Version: WebKit Local Build   
Hardware: Unspecified   
OS: Unspecified   
Attachments:
Description Flags
Patch
none
Patch
none
Patch none

Description Konstantin Tokarev 2016-06-22 12:36:56 PDT
libxslt depends on libxml2 so it's not acceptable to use system librarywhen libxml2 is provided by jhbuild.

Also deduplicated libxml2 module between GTK and EFL.
Comment 1 Konstantin Tokarev 2016-06-22 12:38:29 PDT
Created attachment 281861 [details]
Patch
Comment 2 Konstantin Tokarev 2016-06-22 12:43:36 PDT
Created attachment 281863 [details]
Patch
Comment 3 Michael Catanzaro 2016-06-22 13:49:25 PDT
Comment on attachment 281863 [details]
Patch

We want the modulesets to be completely separate so we can change our versions without affecting EFL and vice versa, so that nobody has to rebaseline another port's layout tests!
Comment 4 Konstantin Tokarev 2016-06-22 14:39:52 PDT
Created attachment 281871 [details]
Patch
Comment 5 Michael Catanzaro 2016-06-22 18:50:22 PDT
Comment on attachment 281871 [details]
Patch

Be sure to remove it from Tools/[eft/gtk]/install-dependencies as well.
Comment 6 WebKit Commit Bot 2016-06-23 02:52:03 PDT
Comment on attachment 281871 [details]
Patch

Clearing flags on attachment: 281871

Committed r202373: <http://trac.webkit.org/changeset/202373>
Comment 7 WebKit Commit Bot 2016-06-23 02:52:07 PDT
All reviewed patches have been landed.  Closing bug.
Comment 8 Konstantin Tokarev 2016-06-23 12:24:48 PDT
Committed r202392: <http://trac.webkit.org/changeset/202392>
Comment 9 Gyuyoung Kim 2016-06-23 21:55:19 PDT
Unfortunately we can't access ftp://xmlsoft.org/source/ directory in Korea. So we need to change the download path. I did it -http://trac.webkit.org/changeset/202416

Additionally EFL port doesn't support {version} variable. I will support it in near future.
Comment 10 Csaba Osztrogon√°c 2016-10-20 09:44:38 PDT
(In reply to comment #9)
> Additionally EFL port doesn't support {version} variable. I will support it
> in near future.

How is it possible? Tools/jhbuild/jhbuild-wrapper guarantees 
that all ports use the exactly same jhbuild version.